انجمن‌های فارسی اوبونتو

لطفاً به انجمن‌ها وارد شده و یا جهت ورود ثبت‌نام نمائید

لطفاً جهت ورود نام کاربری و رمز عبورتان را وارد نمائید

نویسنده موضوع: سرعت پایین اینترنت  (دفعات بازدید: 4315 بار)

0 کاربر و 1 مهمان درحال مشاهده موضوع.

آفلاین fzerorubigd

  • Hero Member
  • *
  • ارسال: 758
  • جنسیت : پسر
  • گوگل دوست خوبیه، فقط باید ازش بپرسی
    • یادداشتهای بیت نیمسوز
پاسخ به: سرعت پایین اینترنت
« پاسخ #15 : 17 امرداد 1389، 02:36 ب‌ظ »
هی گفتم یه اسکریپت نوشتم :)‌ اینجا بذارمش :‌ (قبلش aria۲ رو نصب کنید)
# !/bin/sh
# By fzerorubigd
function detect(){
type -P $1 > /dev/nul  || { echo "Require $1 but not installed. Aborting." >&2; exit 1; }
}


  echo "Working...";
  detect "aria2c"
  detect "pacman"

  # Go into the directory that pacman normally puts downloaded packages
  cd /var/cache/pacman/pkg;

  pacman -Syup > pkg.txt
  echo "" > dl.lst
  cat pkg.txt | egrep -o -e "(ht|f)tp://[^\']+" >> dl.lst
  aria2c -i dl.lst
  pacman -Syu

  echo -e "\nDone! Verify that all packages were installed successfully.\n";

این فقط به در آپدیت میخوره، یعنی اینو اجرا کنید سیستم رو آپدیت میکنه. فقط دیگه سوال نمیپرسه ها!! (قصد دارم تکمیلش کنم حسش نیست فعلا)

آفلاین مهدی...

  • Hero Member
  • *
  • ارسال: 997
  • جنسیت : پسر
  • http://Mearaji.ir
    • وبلاگم
پاسخ به: سرعت پایین اینترنت
« پاسخ #16 : 17 امرداد 1389، 02:39 ب‌ظ »
اینم بگو که این ماله آرچه...
اوبونتو کار ها اینو ندید بگیرن... ;)

آفلاین fzerorubigd

  • Hero Member
  • *
  • ارسال: 758
  • جنسیت : پسر
  • گوگل دوست خوبیه، فقط باید ازش بپرسی
    • یادداشتهای بیت نیمسوز
پاسخ به: سرعت پایین اینترنت
« پاسخ #17 : 17 امرداد 1389، 02:49 ب‌ظ »
اینجا فروم سایر توزیعهای لینوکس هستش :) ولی خوب واسه اوبونتو هم هست یکی. اونو من ننوشتم ولی خیلی از این کار من بهتر بود، فقط بدیش این بود که با axel کار میکرد من کردمش aria (اکسل آخر دانلود خیلی کند میشه) :
# !/bin/sh
# apt-fast v0.02 by Matt Parnell http://www.mattparnell.com, this thing is fully open-source
# if you do anything cool with it, let me know so I can publish or host it for you
# contact me at admin@mattparnell.com

# Special thanks to Travis/travisn000 from the PCLinux Forums for making improvements that allow
# for more complex apt-get commands. See the thread: http://www.pclinuxos.com/forum/index.php/topic,66385.0.html

# Use this just like apt-get for faster package downloading. Make sure to have axel installed.

#Some changes in this file made by fzerorubigd (http://cyberrabbits.net) to use aria2 instead of axel
function detect(){
type -P $1 > /dev/nul  || { echo "Require $1 but not installed. Aborting." >&2; exit 1; }
}

# If the user entered arguments contain upgrade, install, or dist-upgrade
if echo "$@" | grep -q "upgrade\|install\|dist-upgrade"; then
  echo "Working...";
  detect "aria2c"

  # Go into the directory apt-get normally puts downloaded packages
  cd /var/cache/apt/archives/;

  # Have apt-get print the information, including the URI's to the packages
  # Strip out the URI's, and download the packages with Axel for speediness
  # I found this regex elsewhere, showing how to manually strip package URI's you may need...thanks to whoever wrote it
  apt-get -y --print-uris $@ | egrep -o -e "(ht|f)tp://[^\']+" > apt-fast.list
  aria2c -i apt-fast.list

  # Perform the user's requested action via apt-get
  apt-get $@;

  echo -e "\nDone! Verify that all packages were installed successfully. If errors are found, run apt-get clean as root and try again using apt-get directly.\n";

else
   apt-get $@;
fi

اصل کد هم تو یادداشتهاش هست کجاست، فقط این تفاوتش با نسخه اصلی اینه که به جای axel از aria2c استفاده میکنه که من بیشتر باهاش راحتم و به نظر من خیلی بهتره.
اینو به اسم apt-fast.sh ذخیره کنید بعد اجراییش کنید به جای apt-get بزنید apt-fast.sh ، مثلا :
apt-fast.sh install testprogram

آفلاین fzerorubigd

  • Hero Member
  • *
  • ارسال: 758
  • جنسیت : پسر
  • گوگل دوست خوبیه، فقط باید ازش بپرسی
    • یادداشتهای بیت نیمسوز
پاسخ به: سرعت پایین اینترنت
« پاسخ #18 : 17 امرداد 1389، 03:05 ب‌ظ »
من حس ندارم!! یکی اینا رو ببره یه پست جدید بزنه (هر دو تا رو تو یه پست)

آفلاین امیـر وارسـته

  • Hero Member
  • *
  • ارسال: 789
  • جنسیت : پسر
  • Google is your friend
پاسخ به: سرعت پایین اینترنت
« پاسخ #19 : 17 امرداد 1389، 04:02 ب‌ظ »
fzerorubigd +1

آفلاین hadar

  • Full Member
  • *
  • ارسال: 131
  • جنسیت : پسر
  • lما میتوانیم
پاسخ به: سرعت پایین اینترنت
« پاسخ #20 : 20 امرداد 1389، 09:12 ب‌ظ »
بجای arch من پاپی رو پیشنهاد میکنم در جایی که من در یک شبکه دارم استفاده میکنم سرعتش در دانلود چیزی کمتر از ویندوز نیست "

آفلاین fzerorubigd

  • Hero Member
  • *
  • ارسال: 758
  • جنسیت : پسر
  • گوگل دوست خوبیه، فقط باید ازش بپرسی
    • یادداشتهای بیت نیمسوز
پاسخ به: سرعت پایین اینترنت
« پاسخ #21 : 20 امرداد 1389، 09:31 ب‌ظ »
بجای arch من پاپی رو پیشنهاد میکنم در جایی که من در یک شبکه دارم استفاده میکنم سرعتش در دانلود چیزی کمتر از ویندوز نیست "
من که مطلقا با آرچ و سرعتش مشکل ندارم. اونم که دیدید امیر وارسته مشکل داشت با یه برنامه خاص بود، که پکیجر آرچ هستش. به طور مثال پکیجر اوبونتو حتی خیلی خیلی کندتر از پکیجر آرچه .
کلا سرعت دانلود من با یه برنامه ساده مثل aria2 بیشتر از ویندوز نباشه کمتر نیست.

آفلاین fzerorubigd

  • Hero Member
  • *
  • ارسال: 758
  • جنسیت : پسر
  • گوگل دوست خوبیه، فقط باید ازش بپرسی
    • یادداشتهای بیت نیمسوز
پاسخ به: سرعت پایین اینترنت
« پاسخ #22 : 20 امرداد 1389، 09:33 ب‌ظ »
و اینکه آرچ خیلی چیزهایی رو داره که توی پاپی حتی فکرش هم نمیتونی بکنی. (مثلا همین AUR)من توصیه میکنم که پاپی رو بیخیال شی و بیای سراغ آرچ. واسه خودت گفتم :)) من که خودم آرچ دارم!!

آفلاین امیـر وارسـته

  • Hero Member
  • *
  • ارسال: 789
  • جنسیت : پسر
  • Google is your friend
پاسخ به: سرعت پایین اینترنت
« پاسخ #23 : 20 امرداد 1389، 09:46 ب‌ظ »
و اینکه آرچ خیلی چیزهایی رو داره که توی پاپی حتی فکرش هم نمیتونی بکنی. (مثلا همین AUR)من توصیه میکنم که پاپی رو بیخیال شی و بیای سراغ آرچ. واسه خودت گفتم :)) من که خودم آرچ دارم!!
+1
آرچ بهترینه !

همه چیزش به کنار، داشتن همین AUR واسه ی برتریش کافیه.

آفلاین eMan

  • High Hero Member
  • *
  • ارسال: 1366
  • جنسیت : پسر
پاسخ به: سرعت پایین اینترنت
« پاسخ #24 : 20 امرداد 1389، 11:07 ب‌ظ »
دوتا رفیق گلم +1 منم پذیرا باشید  ;D
جهت تماس با بنده یا از طریق فروم آرچ و یا از طریق وبلاگ آرچ بوک و یا از طریق ایمیل با بنده تماس بگیرید

آفلاین مهدی...

  • Hero Member
  • *
  • ارسال: 997
  • جنسیت : پسر
  • http://Mearaji.ir
    • وبلاگم
پاسخ به: سرعت پایین اینترنت
« پاسخ #25 : 21 امرداد 1389، 07:28 ق‌ظ »
و البته بهترین مزیت آرچ (هنوز آرچ کار نکردم) انتشار رولینگ اونه... اگه یه روزی بیام رو آرچ فقط بخاطر همین قابلیتشه...

آفلاین امیـر وارسـته

  • Hero Member
  • *
  • ارسال: 789
  • جنسیت : پسر
  • Google is your friend
پاسخ به: سرعت پایین اینترنت
« پاسخ #26 : 21 امرداد 1389، 11:55 ق‌ظ »
و البته بهترین مزیت آرچ (هنوز آرچ کار نکردم) انتشار رولینگ اونه... اگه یه روزی بیام رو آرچ فقط بخاطر همین قابلیتشه...
یک بار نصب برای همیشه ...